# Interface methods for submodule: PipelineMonitorImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: PipelineMonitorImageFilter
class PipelineMonitorImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetClearPipelineOnGenerateOutputInformation(self, _arg: bool) -> None:
		""""""
		...

	def GetClearPipelineOnGenerateOutputInformation(self) -> bool:
		""""""
		...

	def ClearPipelineOnGenerateOutputInformationOn(self) -> None:
		""""""
		...

	def ClearPipelineOnGenerateOutputInformationOff(self) -> None:
		""""""
		...

	def VerifyAllInputCanStream(self, expectedNumber: int) -> bool:
		""""""
		...

	def VerifyAllInputCanNotStream(self) -> bool:
		""""""
		...

	def VerifyAllNoUpdate(self) -> bool:
		""""""
		...

	def VerifyDownStreamFilterExecutedPropagation(self) -> bool:
		""""""
		...

	def VerifyInputFilterExecutedStreaming(self, expectedNumber: int) -> bool:
		""""""
		...

	def VerifyInputFilterMatchedUpdateOutputInformation(self) -> bool:
		""""""
		...

	def VerifyInputFilterBufferedRequestedRegions(self) -> bool:
		""""""
		...

	def VerifyInputFilterMatchedRequestedRegions(self) -> bool:
		""""""
		...

	def VerifyInputFilterRequestedLargestRegion(self) -> bool:
		""""""
		...

	def GetNumberOfUpdates(self) -> int:
		""""""
		...

	def GetOutputRequestedRegions(self):
		""""""
		...

	def GetInputRequestedRegions(self):
		""""""
		...

	def GetUpdatedBufferedRegions(self):
		""""""
		...

	def GetUpdatedRequestedRegions(self):
		""""""
		...

	def GetUpdatedOutputOrigin(self) -> Sequence[float]:
		""""""
		...

	def GetUpdatedOutputDirection(self):
		""""""
		...

	def GetUpdatedOutputSpacing(self) -> Sequence[float]:
		""""""
		...

	def GetUpdatedOutputLargestPossibleRegion(self) -> ImageRegion:
		""""""
		...

	def ClearPipelineSavedInformation(self) -> None:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def PropagateRequestedRegion(self, output) -> None:
		""""""
		...

	def EnlargeOutputRequestedRegion(self, output) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def GenerateData(self) -> None:
		""""""
		...

